<?php 
	#############################################################
	#	WEATHER34 by BRIAN UNDERDOWN 2015-21                                                        
	#	CREATED FOR WEATHER34 AURORA MKII              	 										 
	#   		
	# 	Released: September 2020   REVISED June 2022                  			           
	# 	     Purple Air                                                                                          
	#   weather34 	                                                                   
	#############################################################
include('livedata.php'); 
if ($clockformat=='12'){$timeformat= "g:ia";}
else if ($clockformat=='24'){$timeformat= "H:i";}
   //2022 Weather34 Purple Air new API format
    //weather34 Purple Air json script June 2022(updated Feb 2023)
    $weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
    $weather34purpleair_json = json_decode($weather34purpleairfile, true);   
    $aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["pm25"] = $weather34purpleair_json['sensor']['pm2.5'];
    $aqiweather["pm1"]      =$weather34purpleair_json['sensor']['pm1.0'];
    $sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];    
    $sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
    $aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm'];   
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 1);
	$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
    $aqiweather["aqipm25"]      =$weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["rssi"]      =$weather34purpleair_json['sensor']['rssi'];
    $aqiweather["uptime"]      =$weather34purpleair_json['sensor']['uptime'];
    $aqiweather["model"]      =$weather34purpleair_json['sensor']['model'];
    $aqiweather["purpleairID"]      =$weather34purpleair_json['sensor']['sensor_index'];
    $aqiweather["purpleairhardware"]      =$weather34purpleair_json['sensor']['hardware'];
    $aqiweather["purpleairfirmware"]      =$weather34purpleair_json['sensor']['firmware_version'];    
    $aqiweather["rssi"]=$aqiweather["rssi"]-$aqiweather["rssi"]*1-$aqiweather["rssi"];
    $pahumidity = $weather34purpleair_json['sensor']['humidity'];
    $patemperature = $weather34purpleair_json['sensor']['temperature'];
   
    //weather34 purple air uptime
    $purpleairminutes = $aqiweather["uptime"];    
    $newdate    = new DateTime('@0');
    $purpleairminutesset  = new DateTime('@' . $purpleairminutes * 60);
    $purpleairuptime    =$newdate->diff($purpleairminutesset);    
    
        //wood smoke
        $aqiweather["aqismoke"] = $weather34purpleair_json['sensor']['pm2.5_cf_1'];
        $aqiweather["aqismoke1"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_a'];
        $aqiweather["aqismoke2"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_b'];
        $aqiweather["aqiwoodsmoke"]=number_format(pm25_to_aqi(($aqiweather["aqismoke"])), 0);//EPA
        $aqiweather["aqiwoodsmokecf1a"]=number_format(pm25_to_aqi(($aqiweather["aqismoke1"])), 0);//EPA
        $aqiweather["aqiwoodsmokecf1b"]=number_format(pm25_to_aqi(($aqiweather["aqismoke2"])), 0);//EPA
    
          $woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,0);
        //alternative wood smoke formulas
      //$woodsmoke=0.778 * ($aqiweather["aqiwoodsmoke"]) + 2.65;
       //$woodsmoke=0.5 * ($aqiweather["aqiwoodsmoke"]) - 0.68;
        //use humidity formula with average pm2.5 pa_cf1 a/b
        //$woodsmoke=0.534 * ($aqiweather["aqiwoodsmokecf1a"]) + ($aqiweather["aqiwoodsmokecf1b"])/2 - 0.0844*$pahumidity+5.604;
        //0.52*[PA_cf1(avgAB)] - 0.085*RH +5.71
        //Official PM2.5 corrected= 0.534*[PA_cf1(avgAB)] - 0.0844*RH +5.604
      
    $a=""; 
    //last hour trend
    $aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
if ($aqiweather["aqi"] >= 401) { $aqicaution=' Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 301) {$aqicaution='Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 201) {$aqicaution='Health warnings of emergency conditions.The entire population is more likely to be affected. ';} 
     else if ($aqiweather["aqi"] >= 151) {$aqicaution='Everyone may begin to experience health effects members of sensitive groups may experience more serious health effects.';} 
     else if ($aqiweather["aqi"] >= 101) {$aqicaution='Members of sensitive groups may experience health effects.The general public is not likely to be affected.';} 
     else if ($aqiweather["aqi"] >= 51) {$aqicaution='Air quality is acceptable. However for some pollutants there may be a moderate health concern for a very small number of people.';} 
     else if ($aqiweather["aqi"] >= 0) {$aqicaution='Air quality is considered satisfactory air pollution poses little or no risk.';} 

 ?>
<link href="weather34-theme.css?version=<?php echo filemtime('weather34-theme.css') ?>" rel="stylesheet prefetch">
<alamanacword>
<span style="width:200px">
Wood Smoke (<purple><?php echo $aqiweather["model"]?></purple>) </span>

<span style="margin-left:5px;width:200px">
ID: (<purple><?php echo $aqiweather["purpleairID"]?></purple>) </span>

<span style="margin-left:0px;width:200px">
rssi: (<?php  //RSSI
if($aqiweather["rssi"] >=90){ echo "<icon-36-40>-".$aqiweather["rssi"]." Very Weak</icon-36-40>";}
else if($aqiweather["rssi"] >=80){ echo "<red>-".$aqiweather["rssi"]." Weak</red>";}
else if($aqiweather["rssi"] >=70){ echo "<orange>-".$aqiweather["rssi"]." Fair</orange>";}
else if($aqiweather["rssi"] >=60){ echo "<yellow>-".$aqiweather["rssi"]." Good</yellow>";}
else if($aqiweather["rssi"] >10){ echo "<green>-".$aqiweather["rssi"]."  Excellent</green>";}
else echo "N/A";
?>) </span>

<span style="margin-left:5px;width:300px">
Uptime (<?php   echo $purpleairuptime ->format('<orange>%a</orange> Days <orange>%h</orange> Hrs <orange>%i</orange> Mins');?></orange>)</span>
</alamanacword>

<ul class="grid-containeralmcharts">
<li><iframe  class="charttempmodule3"  src="weather34charts/todaypurple-air-qualitychart-wood.php" frameborder="0" scrolling="no" ></iframe>
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/todaypurple-air-airqualitychartb-wood.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>

<li><iframe  class="charttempmodule3"  src="weather34charts/monthpurpleairmodulechart2-wood.php" frameborder="0" scrolling="no" ></iframe>  
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/monthpurpleairmodulechart2p-wood.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>

<li><iframe  class="charttempmodule3"  src="weather34charts/yearpurpleairmodulechart2-wood.php" frameborder="0" scrolling="no" ></iframe>  
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/yearpurpleairmodulechart2p-wood.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>





<li>
<div style="margin-top:30px;margin-left:0px;">
<div class="almanac" style="margin-top:-95px;">
<div class="almanac-content">
<?php  //Wood Smoke
echo "<valuetextheading1>Current Wood Smoke</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($woodsmoke >=300){ echo "<icon-36-40>".$woodsmoke."</icon-36-40>";}
else if($woodsmoke >=200){ echo "<red>".$woodsmoke."</red>";}
else if($woodsmoke >=100){ echo "<orange>".$woodsmoke."</orange>";}
else if($woodsmoke >=50){ echo "<yellow>".$woodsmoke."</yellow>";}
else if($woodsmoke >=0){ echo "<green>".$woodsmoke."</green>";}
else echo "N/A";
?><smalltempunit2></div></div>


<div class="almanac3" style="margin-top:0px;"><div class="almanac-content">
<?php  //PM2.5 
echo "<valuetextheading1>Risk Level</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";

if ($woodsmoke>=300 ){echo "Pollution Extreme";}
else if ($woodsmoke>=150 ){echo "Pollution Very High";}
else if ($woodsmoke>=100 ){echo "Pollution High";}
else if ($woodsmoke>=50 ){echo "Pollution Moderate";}
else if ($woodsmoke>=0 ){echo "Pollution Low";}
echo "</smallrainunit2aq> "
?>
<smalltempunit2></div></div>


<br>


<span style="position:absolute;color:azure;font-size:11px;width:250px;
padding:10px;display:block;margin-top:20px;margin-left:-120px">

Often seen as a symbol of comfort, burning wood has long been a tradition during the winter season. 
Plus, it has also been marketed as a safer and more economical alternative to fossil fuels. However, 
recent research reveals that burning wood has harmful effects on both human health and the environment.
further information can be found here at 
<a href="https://www2.purpleair.com/blogs/blog-home/why-wood-burning-is-dangerous-to-you-to-the-environment" target="_blank">
<purple style="font-family:verb;"> <?php echo $info?> Purple Air</purple></a>

</a></div>

</li>
</ul>
</div></div>
<div class="mbsmartlogo" style="float:right;margin-top:0px;font-size:8px"> CSS/SVG/PHP scripts were developed by weather34 © 2015-<?php echo date ('Y')?>
    <img src="images/weather34-logo-small.svg" alt="Meteobridge Aurora" title="Meteobridge Aurora" width="30px"></div>