<?php
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	      One Color Theme View                                                                                         
# 	Release:January 2024 Version Aurora MKII 				  	                                           
########################################################
include_once('livedata.php');
include_once('updater-2024-layout3.php');

$firerisk = number_format((((110 - 1.373 * $weather["humidity"]) - 0.54 * (10.20 - anytoc($weather["temp"]))) * (124 * pow(10, (-0.0142 * $weather["humidity"])))) / 60, 0); ?>
<!DOCTYPE html>
<html>

<head>
<title><?php echo $stationName; ?></title> 
<!-- Primary Meta Tags -->
<meta name="title" content="<?php echo $stationName; ?>">
<meta name="description" content="Providing current weather conditions for <?php echo $stationName ?>">
<!-- Open Graph / Facebook -->
<meta property="og:type" content="website">
<meta property="og:url" content="">
<meta property="og:title" content="<?php echo $stationName; ?>">
<meta property="og:description" content="Providing current weather conditions for <?php echo $stationName ?>">
<meta property="og:image" content="/weather34-meta-seo.png">
<!-- Twitter -->
<meta property="twitter:card" content="/weather34-meta-seo.png">
<meta property="twitter:url" content="">
<meta property="twitter:title" content="<?php echo $stationName; ?>">
<meta property="twitter:description" content="Providing current weather conditions for <?php echo $stationName ?>">
<meta property="twitter:image" content="/weather34-meta-seo.png">
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <meta name="mobile-web-app-capable" content="yes">
  <link rel="apple-touch-icon" sizes="144x144" href="favicon/apple-touch-icon.png">
  
  <link rel="manifest" href="favicon/site.webmanifest">
  <link rel="mask-icon" href="favicon/safari-pinned-tab.svg" color="#5bbad5">
  <link rel="shortcut icon" href="favicon.ico">
  <meta name="apple-mobile-web-app-title" content="Weather34">
  <meta name="application-name" content="Weather34">
  <link href="weather34-2024-theme2.css?version=<?php echo filemtime('weather34-2024-theme2.css') ?>" rel="stylesheet prefetch">
  <link href="fonts/verbatim-regular.woff2" as="font" type="font/woff2" >
  <link  href="fonts/verbatim-medium.woff2" as="font" type="font/woff2" >
  <link href="fonts/HelveticaNeue-Medium.woff2" as="font" type="font/woff2" >
  <link href="fonts/verbatim-bold.woff2" as="font" type="font/woff2" >
</head>

<body>
  <!-- weather34 Aurora MKII March 2023 flex layout -->
<div class="weather34-tablet">
<div class="container"><div class="nav-top">
       
<!-- weather34 Aurora MKII menu December 2023-->
      <div id="weather34-menubutton">
     <button class="weather34-open-menu" onclick="openNav()"><?php echo $adjust ?> <icontext>Menu</icontext></button></div>
      <div id="weather34-menu2024" class="weather34_sidemenu"> <a href="javascript:void(2)" class="closebtn" onclick="closeNav()">X</a> 
      <?php include_once('weather34-sidemenu-2024.php');?>
      </div>
  <script>
function openNav() {
    document.getElementById("weather34-menu2024").style.width = "275px";
    document.getElementById("weather34menuopened").style.marginLeft = "275px";}
function closeNav() {
    document.getElementById("weather34-menu2024").style.width = "0";
    document.getElementById("weather34-menubutton").style.marginLeft = "0";}


  </script>
  
  <!-- end weather34 Aurora MKII menu December 2023-->

  <!-- weather34 Aurora theme button -->
 <div class="weather34switcher">
<button id="weather34theme-toggle" class="weather34switch" type="button"> <?php echo $themeshadelight; ?></button></div>

  <!-- weather34 Aurora tlocation and data updated -->
<div class="sunriset-set"><?php echo $headerlocation ?> <?php echo $stationName ?></div></div>
<div class="desktoplink2"><div id=data-updated></div></div></div>


 <!-- weather34 Aurora begin grid layout -->
<ul class="grid-container">
<li>
<div id=position1></div>
<div id="tempchart"></div>     
</li>


<lih> <div id=position2></div>
<div id="humiditychart"></div>
</lih>


<lid><div id=position3></div>
<div id="dewpointchart"></div>
</lid>

<li><?php //pressure mmHg or hPa/mb/inHg
if ($usemmhgmodule=='yes') {echo '<div id="mmHG">';} else echo '<div id=baro>'; ?></div>
<div id="barometerchart"></div>
</li>




<lirain><div id=rain></div> 
<div id="rainchart"></div>
</lirain>

<lidir><div id=position5></div>
<div id=windchartb></div>
</lidir>

<liwind><div id=position9></div>
<div id=windchart></div></liwind>

<lidirect><div id=positionalt></div></lidirect>




<liuv>
<div id="rainrate"></div>
<div id="rainratechart"></div>
</liuv>




</ul>



<ul class="grid-container">

<li2><div id=position10chart></div>
<?php //position 10
if ($position10chart=="weather34-Chart-daq-2024.php"){echo "<div id='airlinkchart1'></div>";}
else if ($position10chart=="weather34-Chart-paq-2024.php"){echo "<div id='purpleairchart1'></div>";}
else if ($position10chart=="weather34-Chart-laq-2024.php"){echo "<div id='luftdatenchart1'></div>";}
else if ($position10chart=="weather34-Chart-soiltempmod-2024.php"){echo "<div id='soiltempchart'></div>";}
else if ($position10chart=="weather34-Chart-soilhumiditymod-2024.php"){echo "<div id='soilhumchart'></div>";}
else if ($position10chart=="weather34-Chart-indoormod-2024.php"){echo "<div id='indoorchart1'></div>";}
else if ($position10chart=="weather34-Chart-feels-2024.php"){echo "<div id='feelschart1'></div>";}
// uv if uvmax for the day is not greater than zero show solar 
else if ($position10chart=='weather34-Chart-uvindex-2024.php' & $weather["uvdmax"]==0) {
echo '<div class=solaruvphrase>Solar Data Chart</div> <div id="solarchart"></div>';} 
else if ($position10chart=='weather34-Chart-uvindex-2024.php') {echo '<div id="uvchart"></div>';} 
else if ($position10chart=='weather34-Chart-solar-2024.php') {echo '<div id="solarchart"></div>';} 
else if ($position10chart=='weather34-Chart-wf-lightning-2024.php') {echo '<div id="lightningchart"></div>';} 

?>
</li2>

<li2><div id=position11chart></div>
<?php // position 11
if ($position11chart=="weather34-Chart-daq-2024.php"){echo "<div id='airlinkchart1'></div>";}
else if ($position11chart=="weather34-Chart-paq-2024.php"){echo "<div id='purpleairchart1'></div>";}
else if ($position11chart=="weather34-Chart-laq-2024.php"){echo "<div id='luftdatenchart1'></div>";}
else if ($position11chart=="weather34-Chart-soiltempmod-2024.php"){echo "<div id='soiltempchart'></div>";}
else if ($position11chart=="weather34-Chart-soilhumiditymod-2024.php"){echo "<div id='soilhumchart'></div>";}
else if ($position11chart=="weather34-Chart-indoormod-2024.php"){echo "<div id='indoorchart1'></div>";}
else if ($position11chart=="weather34-Chart-feels-2024.php"){echo "<div id='feelschart1'></div>";}
// uv if uvmax for the day is not greater than zero show solar 
else if ($position11chart=='weather34-Chart-uvindex-2024.php' & $weather["uvdmax"]==0) {
echo '<div class=solaruvphrase>Solar Data Chart</div> <div id="solarchart"></div>';} 
else if ($position11chart=='weather34-Chart-uvindex-2024.php') {echo '<div id="uvchart"></div>';} 
else if ($position11chart=='weather34-Chart-solar-2024.php') {echo '<div id="solarchart"></div>';} 
else if ($position11chart=='weather34-Chart-wf-lightning-2024.php') {echo '<div id="lightningchart"></div>';} 

?>
</li2>

<li2><div id=position12chart></div>
<?php // postion 12
if ($position12chart=="weather34-Chart-daq-2024.php"){echo "<div id='airlinkchart1'></div>";}
else if ($position12chart=="weather34-Chart-paq-2024.php"){echo "<div id='purpleairchart1'></div>";}
else if ($position12chart=="weather34-Chart-laq-2024.php"){echo "<div id='luftdatenchart1'></div>";}
else if ($position12chart=="weather34-Chart-soiltempmod-2024.php"){echo "<div id='soiltempchart'></div>";}
else if ($position12chart=="weather34-Chart-soilhumiditymod-2024.php"){echo "<div id='soilhumchart'></div>";}
else if ($position12chart=="weather34-Chart-indoormod-2024.php"){echo "<div id='indoorchart1'></div>";}
else if ($position12chart=="weather34-Chart-feels-2024.php"){echo "<div id='feelschart1'></div>";}
// uv if uvmax for the day is not greater than zero show solar 
else if ($position12chart=='weather34-Chart-uvindex-2024.php' & $weather["uvdmax"]==0) {
echo '<div class=solaruvphrase>Solar Data Chart</div> <div id="solarchart"></div>';} 
else if ($position12chart=='weather34-Chart-uvindex-2024.php') {echo '<div id="uvchart"></div>';} 
else if ($position12chart=='weather34-Chart-solar-2024.php') {echo '<div id="solarchart"></div>';} 
else if ($position12chart=='weather34-Chart-wf-lightning-2024.php') {echo '<div id="lightningchart"></div>';} 
?>
</li2>

<li2><div id=position13chart></div>
<?php // position 13
if ($position13chart=="weather34-Chart-daq-2024.php"){echo "<div id='airlinkchart1'></div>";}
else if ($position13chart=="weather34-Chart-paq-2024.php"){echo "<div id='purpleairchart1'></div>";}
else if ($position13chart=="weather34-Chart-laq-2024.php"){echo "<div id='luftdatenchart1'></div>";}
else if ($position13chart=="weather34-Chart-soiltempmod-2024.php"){echo "<div id='soiltempchart'></div>";}
else if ($position13chart=="weather34-Chart-soilhumiditymod-2024.php"){echo "<div id='soilhumchart'></div>";}
else if ($position13chart=="weather34-Chart-indoormod-2024.php"){echo "<div id='indoorchart1'></div>";}
else if ($position13chart=="weather34-Chart-feels-2024.php"){echo "<div id='feelschart1'></div>";}
// uv if uvmax for the day is not greater than zero show solar 
else if ($position13chart=='weather34-Chart-uvindex-2024.php' & $weather["uvdmax"]==0) {
echo '<div class=solaruvphrase>Solar Data Chart</div> <div id="solarchart"></div>';} 
else if ($position13chart=='weather34-Chart-uvindex-2024.php') {echo '<div id="uvchart"></div>';} 
else if ($position13chart=='weather34-Chart-solar-2024.php') {echo '<div id="solarchart"></div>';} 
else if ($position13chart=='weather34-Chart-lightning-2024.php') {echo '<div id="lightningchart"></div>';} 
?>
</li2> 

</ul>

<div class=navspace></div>
<div class="nav-bottom" style="z-index:1">

  
<script>
var toggle = document.getElementById("weather34theme-toggle");
var storedTheme = localStorage.getItem('theme');
if (storedTheme)
  document.documentElement.setAttribute('data-theme', storedTheme)
toggle.onclick = function() {
  var currentTheme = document.documentElement.getAttribute("data-theme");
  var targetTheme = "light";
  if (currentTheme === "light") {
    targetTheme = "dark";
  }
  document.documentElement.setAttribute('data-theme', targetTheme)
  localStorage.setItem('theme', targetTheme);
};
</script>
<bottomtoolbarspacetablet></bottomtoolbarspacetablet>

    
   <unitscolor>
    <?php //units
    if ($units != 'us') {
      echo '<a  href="?units=us" data-title="Imperial Units">
    ' . $weather34F . '</a>';
    } else if ($units != 'metric') {
      echo '<a  href="?units=metric" data-title="Metric Units">
    ' . $weather34C . '</a>';
    } else if ($units != '') {
      echo '<a  href="?units=metric" data-title="Metric Units">
    ' . $weather34C . '</a>';
    } ?>
    </unitscolor>

    

    <a href="consolecharts.php" data-title="Daily Charts"><?php echo $weather34chart2 ?></a>
    <a href="forecastcharts/chartforecast.php"  data-title="Forecast"><?php echo $weather34foret ?></a>
    <?php if ($applewatch=='yes'){
        echo '<a  href="weather34-aw-layout.php" data-title="Apple Watch" style="background:none;">'.$aw.'</a>';}?>
    <a href="weather34-2024-layout-2.php" data-title="Refresh" class="showicon2" style="background:0;box-shadow:none;">
    <?php echo $weather34refr ?></a>
    <weather34-rightfootericons>
    <aurora>Aurora Meteobridge (<alternativeblue><?php echo $weather["stationtype"] ?></alternativeblue>) 
    <BR><center><?php echo $weather["licensetext"] ?></center></aurora></aurora>


    <div id="weather34clock34"></div>


      <div class="weather34-aurora">

        <a href="weather34-2024-layout-3.php" data-title="Refresh" class="showicon3" style="background:0;box-shadow:none;">
        <?php echo $weather34refrw ?></a>
        <a href="info.html" data-lity data-title="Info" class="footericons" style="background:0;box-shadow:none;">
          <img src="images/weather34-logo-small.svg" width="23px" height="23px"></a>
      </div>

    </weather34-rightfootericons>
  </div>
  

</body>


<button onclick="topFunction()" id="weather34-top" title="Go to top" class="gototop"><?php echo $weather34top ?></button>
<script>
  //weather34 return to top in mobile
  mybutton = document.getElementById("weather34-top");
  window.onscroll = function() {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      mybutton.style.display = "block";
      mybutton.style.background = "none";
      mybutton.style.bottom = "50px";
      mybutton.style.left = "0px";

      mybutton.style.position = "fixed";
    } else {
      mybutton.style.display = "none";
    }
  }

  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>
         
  <!-- Weather34 GDPR -->
  <?php if ($showgdpr=='yes'){;?>
<script>
// Define gdpr.
window.dataLayer = window.dataLayer || [];
function gtag(){dataLayer.push(arguments);}
 gtag('consent', 'default', {'functionality_storage': 'granted',
  'security_storage': 'granted','ad_storage': 'denied','analytics_storage': 'denied','personalization_storage': 'denied','wait_for_update': 500}); 
  </script>   
      
 <div id="cookieConsentDialog"><div class="cookieDialog"> <div class="cookieIn">  <div class="cookieBox">
<span><?php echo $gdprsvg?> <b>GDPR</b> Compliant Cookie Consent
<a href="#" class="cookieClose" title="close">&#x2716;</a>
<p>This website <?php $current_url_path = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
$current_url_path = substr($current_url_path, -4) == ".php" ?
implode("/", array_slice((explode("/", $current_url_path)), 0, -1)) : $current_url_path;
echo "<blue>".$current_url_path."</blue>";?> 
uses cookies to provide necessary site functionality and improve your experience and usability .</p>
 <table> <tr> <td>
<blue>Cookies</blue> are needed to make this website usable by enabling critical & basic functions. 
 This website cannot function properly without these cookies.This website <?php $current_url_path = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
$current_url_path = substr($current_url_path, -4) == ".php" ? implode("/", array_slice((explode("/", $current_url_path)), 0, -1)) : $current_url_path;
echo "<blue>".$current_url_path."</blue>";?> does not use or collect your data for marketing purposes or tracking purposes.
</td><td> <label class="switch"> 
<input type="checkbox" name="necessaryCookiesConsent" id="necessaryCookiesConsent_input" >
<span class="checkboxSlider round"></span> </label>
<span style="position:relative;font-size:11px;padding-left:5px;top:10px">ALLOW ? </span>
 </td></tr></table>
 <br>
 <div id="cookieDialog_buttonbar" class="buttonbar">
  <input type="submit" name="" value="Save preferences" id="coookieDialog_save_button" class="cookieNoticeButton gray" title=""></div>
</div></div> </div>
 <div class="cookieOverlay"></div>
</div>
 <!-- load GDPR javascript -->
<script type="text/javascript" src="js/cookieConsent.js"></script>
<?php };?>
<!-- END OF Weather34 GDPR -->  

</html>

