<?php
###############################################################
#	WEATHER34 Aurora MKII TEMPLATE by BRIAN UNDERDOWN 2015-2024                               
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE at 													   		  
#   										    
# 	WEATHER STATION TEMPLATE 2015-2024                 										       
# 	     Earthquake Version 2024				 								               
#   weather34 	                                                                   
################################################################

include('livedata.php');
header('Content-type: text/html; charset=utf-8');
date_default_timezone_set($TZ);
$json = file_get_contents('jsondata/eqnotification.txt');
$data = json_decode($json, true);
//echo $data['features'][0]['properties']['mag'];
$magnitude = $data['features'][0]['properties']['mag'];
$eqtitle = $data['features'][0]['properties']['flynn_region'];
$depth = $data['features'][0]['properties']['depth'];
$time = $data['features'][0]['properties']['time'];
$lati = $data['features'][0]['properties']['lat'];
$longi = $data['features'][0]['properties']['lon'];
$eventime = date('D jS M g:ia', strtotime($time));
$eqdist = round(distance($lat, $lon, $lati, $longi));

$magnitude1 = $data['features'][1]['properties']['mag'];
$eqtitle1 = $data['features'][1]['properties']['flynn_region'];
$depth1 = $data['features'][1]['properties']['depth'];
$time1 = $data['features'][1]['properties']['time'];
$lati1 = $data['features'][1]['properties']['lat'];
$longi1 = $data['features'][1]['properties']['lon'];
$eventime1 = date('D jS M g:ia', strtotime($time1));
$eqdist1 = round(distance($lat, $lon, $lati1, $longi1));


//less than 150km
if ($eqdist < 111750) {
  $magnitude = $magnitude;
  $eventime = $eventime;
  $eqdist = $eqdist;
} else if ($eqdist1 < 11750) {
  $magnitude = $magnitude1;
  $eventime = $eventime1;
  $eqdist = $eqdist1;
} 

$dist = "km";
if ($distanceunit == 'mi') {
  $eqdist = round($eqdist * 0.621371, 0);
  $eqdist1 = round($eqdist1 * 0.621371, 0);
  
  $dist = "miles";
}
$magnitude = mynumberformat($magnitude, 1);

if ($magnitude >= 8) {
  $magcolor = 'var(--darkred)';
} else if ($magnitude >= 6) {
  $magcolor = 'var(--red)';
} else if ($magnitude >= 5) {
  $magcolor = 'var(--orange)';
} else if ($magnitude >= 3) {
  $magcolor = 'var(--yellow)';
} else if ($magnitude >= 0) {
  $magcolor = 'var(--green)';
}



$epicentericon = "
<svg id='earthquake icon 2024' viewBox='0 0 22 22' xmlns='http://www.w3.org/2000/svg' width='45pt' height='45pt'>
<path d='m11 3c-4.418278 0-8 3.581722-8 8s3.581722 8 8 8 8-3.581722 8-8-3.581722-8-8-8m3.273438 9.302734 3.501953-1.75.447265.894532-4.496094 2.248046-2.441406-6.509765-.958984 
9.583984-3.513672-7.02539-2.554688 1.80664-.578125-.816406 3.507813-2.478516 2.486328 4.97461 1.080962-10.226638s3.519664 9.299329 3.518648 9.298903' 
fill='$magcolor'/></svg>
";


?>



<style>
  .module {
    display: grid;
    font-size: 14px;
    font-family: verb;
    color: var(--body-text-dark);
  }

  .eventtime {
    position: absolute;
    font-size: 10px;
    font-family: verb;
    color: var(--body-text-dark);
    display: inline;
    margin-left: -110px;
    margin-top: -40px;
    background: var(--hilomodule);
    width: max-content;
    max-width: 150px;
    padding: 4px;
    border-radius: 5px;
    opacity: .8
  }


  .magnitude {
    position: absolute;
    font-size:38px;
    font-family:verb;
    background:var(--hilomodule);
    width:max-content;
    height:max-content;
 margin-left:-100px;
border-radius: 5px;
 margin-top:-80px;
 display: block;
 padding-right:3px;
 padding-left:5px;
 padding-bottom:5px;
 color:var(--body-text-dark);opacity:.8
  }

  .magnitude span {
    font-size: 10px;
    vertical-align: super;
  }

  .magnitude span2 {
    font-size: 10px;
    display: block;
  }

  .eqsummary {
    position: absolute;
    font-size: 10px;
    font-family: verb;
    background: var(--hilomodule);
    width: 180px;
    margin-left: -110px;
    border-radius: 5px;
    margin-top: -10px;
    display: block;
    padding: 3px;
    color: var(--body-text-dark);
    opacity: .9
  }

  .eqicon {
    position: absolute;
    margin-left: 60px;
    margin-top: -85px
  }


  .infoicon {

    position: absolute;
    font-size: 11px;
    font-family: verb;
    background: none;
    width: auto;
    margin-left: 95px;
    border-radius: 5px;
    margin-top: 60px;
    display: block;
    padding-right: 3px;
    color: var(--body-text-dark);

  }

  .sensorEQcaption{position: absolute;
 margin-left:0px;
 margin-top:-92px;
 font-size:9px;
 color:var(--body-text-dark);
 opacity: 0.64;
 width:max-content;
 font-family:verb;
 }
</style>

<div class=module>
<div class=sensorEQcaption>Regional Earthquakes</div>
  <div class="magnitude"><?php
                          //magnitude
                          echo " " . $magnitude . "<span>mag</span>";
                          ?>
<span2>
  <?php if ($magnitude <=4){ echo "Minor Earthquake";}
  else if ($magnitude >=7){ echo "Significant Earthquake";}
  else if ($magnitude >=6){ echo "Strong Earthquake";}
  else if ($magnitude >4){ echo "Moderate Earthquake";}
     ?>
</span2>

  </div>


  <div class=eqicon>
    <?php //icon magnitude
    echo $epicentericon; ?>
  </div>




  <div class="eqsummary">
    <?php echo "Epicenter Location: ";
    echo $eqtitle . " <br>Time: " . $eventime;
    ?>
    <br>
    <?php echo 'Distance :';
if ($distanceunit=='mi' && $eqdist<=100) { echo "<red>".round($eqdist  * 0.621371) ." Miles ";	}	
else if ($distanceunit=='km' && $eqdist<150) {echo "<red>".round($eqdist) ."</red> Km ";}
else if ($distanceunit=='mi') { echo round($eqdist  * 0.621371) ." Miles";	} 
else { echo $eqdist ." Km";}echo " from <br> ".$stationName;?>
  </div>

  <div class=infoicon>
    
<charticons><a href='eqlist.php' data-lity data-chartdata="EQ Data" style="z-index:10"><?php echo $infoicon2024forecast?></a></charticons>


  </div>