<?php 
include('livedata.php');
    #######################################################
	#	CREATED FOR Aurora MKII version								   							   
	# 	
	# 	Creates and adds month and year csv data  
	# 	Updated Release: Revised April 2025 :adds soil
	# 	                                                                                               
	#   weather34 	                                                                   
	#######################################################


//aqi index conversion to US EPA standard ..take or leave it 
function pm25_to_epa($pm25)
{
	if ($pm25 > 500.5) {
		$epa = 500;
	} elseif ($pm25 > 350.5 && $pm25 <= 500.5) {
		$epa = epa($pm25, 350.5, 500.5, 400, 500);
	} elseif ($pm25 > 250.5 && $pm25 <= 350.5) {
		$epa = epa($pm25, 250.5, 350.5, 300, 400);
	} elseif ($pm25 > 150.5 && $pm25 <= 250.5) {
		$epa = epa($pm25, 150.5, 250.5, 200, 300);
	} elseif ($pm25 > 55.5 && $pm25 <= 150.5) {
		$epa = epa($pm25, 55.5, 150.5, 150, 200);
	} elseif ($pm25 > 35.5 && $pm25 <= 55.5) {
		$epa = epa($pm25, 35.5, 55.5, 100, 150);
	} elseif ($pm25 > 12 && $pm25 <= 35.5) {
		$epa = epa($pm25, 12, 35.5, 50, 100);
	} elseif ($pm25 > 0 && $pm25 <= 12) {
		$epa = epa($pm25, 0, 12, 0, 50);
	}
	return $epa;
}
function epa($value, $fromLow, $fromHigh, $toLow, $toHigh)
{
	$fromRange = $fromHigh - $fromLow;
	$toRange = $toHigh - $toLow;
	$scaleFactor = $toRange / $fromRange;
	// Re-zero the value within the from range
	$tmpValue = $value - $fromLow;
	// Rescale the value to the to range
	$tmpValue *= $scaleFactor;
	// Re-zero back to the to range
	return $tmpValue + $toLow;
}

date_default_timezone_set($TZ);
$date = date_create();
$year=date('Y',strtotime("yesterday"));
//disable error logging if you get server errors
error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);ini_set("display_errors","off");
// with PURPLE AIR additional conversion script included by Andrew Billits 24 April 2018 charts
//2022 Weather34 Purple Air new API format
$weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
$weather34purpleair_json = json_decode($weather34purpleairfile, true);
$aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
$sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];
$sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
$aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm_a'];
$aqiweather["aqi"]      = number_format(pm25_to_epa(($aqiweather["aqi"])), 1);
$aqiweather["aqi24h"]      = number_format(pm25_to_epa(($sensor24h )),1);
$aqiweather["aqi1h"] = number_format(pm25_to_epa(($sensor1h)), 1);
$aqiweather["aqipm10"]      = number_format(pm25_to_epa(($aqiweather["aqipm10"])), 0);
$a=""; 
if ($aqiweather["aqi"] ==$a) {$aqiweather["aqi"] = "0" ;}
$aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
$aqiweather["aqi"]=number_format($aqiweather["aqi"],1);
$meteobridgeapi[184] = number_format(pm25_to_epa(($meteobridgeapi[184])),1);
$meteobridgeapi[180] = number_format(pm25_to_epa(($meteobridgeapi[180])),1);
$notused='**';
//create the current month file example folder/file path = weather34charts/2021/July.csv
$weatherchartfilemonth ="weather34charts/".$year."/".date('F',strtotime("yesterday")).".csv";
// meteobridge and chart position number 
$weather34chartdata = date('j M',strtotime("yesterday"))."," //date chart position = 0
.$meteobridgeapi[82]."," //Max Temp chart position = 1
.$meteobridgeapi[84]."," // Min Temp chart position = 2
.$meteobridgeapi[52]."," // Max Dewpoint chart position = 3
.$meteobridgeapi[120]."," // Min Dewpoint chart position = 4
.$meteobridgeapi[100]."," // Rain Total chart position = 5
.$meteobridgeapi[94]."," // Wind Speed Max chart position = 6
.$meteobridgeapi[123]."," // Wind Speed Avg chart position = 7
.$notused."," // Not Used chart position = 8
.$meteobridgeapi[135].","  // Pressure Max chart position = 9
.$meteobridgeapi[137]."," // Pressure Min chart position = 10
.$meteobridgeapi[114]."," // UV Max chart position = 11
.$meteobridgeapi[107]."," // Solar Max chart position = 12
.$aqiweather["aqi24h"]."," // Purple Air 24 hour Avg chart position = 13 
.$meteobridgeapi[180]."," // Davis Airlink chart position = 14 AQ yesterday avg
.$meteobridgeapi[171]."," // Wind Direction Avg chart position = 15
.$meteobridgeapi[167]."," // Max Humidity chart position = 16
.$meteobridgeapi[169]."," // Min Humidity chart position = 17
.$weather["lightningmax"]."," // lightning chart position = 18
.$weather["soiltemp_ydmax"] ."," // soil temp max position 19
.$weather["soiltemp_ydmin"] ."," // soil temp min position 20
.$weather["soilhum_ydmax"] ."," // soil humidity max position 21
.$weather["soilhum_ydmin"] ."" // soil humidity min position 22
."\r\n"; //end

$fp = fopen($weatherchartfilemonth, 'a+'); 
fwrite($fp,$weather34chartdata); 
fclose($fp); //close the output run

//create the year file example folder/file path = weather34charts/2021.csv
$weatherchartfileyear = "weather34charts/".$year.".csv";
// meteobridge and chart position number 
$weather34chartdata1  = date('j M',strtotime("yesterday"))."," // date chart position = 0
.$meteobridgeapi[82]."," //Max Temp chart position = 1
.$meteobridgeapi[84]."," // Min Temp chart position = 2
.$meteobridgeapi[52]."," // Max Dewpoint chart position = 3
.$meteobridgeapi[120]."," // Min Dewpoint chart position = 4
.$meteobridgeapi[100]."," // Rain Total chart position = 5
.$meteobridgeapi[94]."," // Wind Speed Max chart position = 6
.$meteobridgeapi[123]."," // Wind Speed Avg chart position = 7
.$notused."," // Not Used  chart position = 8
.$meteobridgeapi[135].","  // Pressure Max chart position = 9
.$meteobridgeapi[137]."," // Pressure Min chart position = 10
.$meteobridgeapi[114]."," // UV Max chart position = 11
.$meteobridgeapi[107]."," // Solar Max chart position = 12
.$aqiweather["aqi24h"]."," // Purple Air 24 hour Avg chart position = 13 
.$meteobridgeapi[180]."," // Davis Airlink chart position = 14 AQ yesterday avg
.$meteobridgeapi[171]."," // Wind Direction Avg chart position = 15
.$meteobridgeapi[167]."," // Max Humidity chart position = 16
.$meteobridgeapi[169]."," // Min Humidity chart position = 17
.$weather["lightningmax"]."," // lightning chart position = 18
.$weather["soiltemp_ydmax"] ."," // soil temp max position 19
.$weather["soiltemp_ydmin"] ."," // soil temp min position 20
.$weather["soilhum_ydmax"] ."," // soil humidity max position 21
.$weather["soilhum_ydmin"] ."" // soil humidity min position 22

."\r\n"; //end

$fp1 = fopen($weatherchartfileyear, 'a+'); 
fwrite($fp1,$weather34chartdata1); 
fclose($fp1); //close the output run
?>
