<?php 
include('livedata.php');
    #######################################################
	#	CREATED FOR Aurora MKII version								   							   
	# 	
	# 	     Creates and adds month and year csv data  
	# 	Updated Release: Revised Mar 2023 for gary bridge issue	
	# 	                                                                                               
	#   weather34 	                                                                   
	#######################################################


//aqi index conversion to US EPA standard ..take or leave it 
function pm25_to_epa($pm25)
{
	if ($pm25 > 500.5) {
		$epa = 500;
	} elseif ($pm25 > 350.5 && $pm25 <= 500.5) {
		$epa = epa($pm25, 350.5, 500.5, 400, 500);
	} elseif ($pm25 > 250.5 && $pm25 <= 350.5) {
		$epa = epa($pm25, 250.5, 350.5, 300, 400);
	} elseif ($pm25 > 150.5 && $pm25 <= 250.5) {
		$epa = epa($pm25, 150.5, 250.5, 200, 300);
	} elseif ($pm25 > 55.5 && $pm25 <= 150.5) {
		$epa = epa($pm25, 55.5, 150.5, 150, 200);
	} elseif ($pm25 > 35.5 && $pm25 <= 55.5) {
		$epa = epa($pm25, 35.5, 55.5, 100, 150);
	} elseif ($pm25 > 12 && $pm25 <= 35.5) {
		$epa = epa($pm25, 12, 35.5, 50, 100);
	} elseif ($pm25 > 0 && $pm25 <= 12) {
		$epa = epa($pm25, 0, 12, 0, 50);
	}
	return $epa;
}
function epa($value, $fromLow, $fromHigh, $toLow, $toHigh)
{
	$fromRange = $fromHigh - $fromLow;
	$toRange = $toHigh - $toLow;
	$scaleFactor = $toRange / $fromRange;
	// Re-zero the value within the from range
	$tmpValue = $value - $fromLow;
	// Rescale the value to the to range
	$tmpValue *= $scaleFactor;
	// Re-zero back to the to range
	return $tmpValue + $toLow;
}


date_default_timezone_set($TZ);
$date = date_create();
$year=date('Y', strtotime("yesterday"));
//disable error logging if you get server errors
error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);ini_set("display_errors","off");
// with PURPLE AIR additional conversion script included by Andrew Billits 24 April 2018 charts

//2022 Weather34 Purple Air new API format
$weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
$weather34purpleair_json = json_decode($weather34purpleairfile, true);
//echo $weather34purpleair_json['pm2.5_atm_a'];
$aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
$sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];
$sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
$aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm_a'];
$aqiweather["aqi"]      = number_format(pm25_to_epa(($aqiweather["aqi"])), 1);
$aqiweather["aqi24h"]      = number_format(pm25_to_epa(($sensor24h )),1);
$aqiweather["aqi1h"] = number_format(pm25_to_epa(($sensor1h)), 1);
$aqiweather["aqipm10"]      = number_format(pm25_to_epa(($aqiweather["aqipm10"])), 0);
$a=""; 
if ($aqiweather["aqi"] ==$a) {$aqiweather["aqi"] = "0" ;}
$aqiweather["aqi"]=number_format($aqiweather["aqi"],1);
$meteobridgeapi[184] = number_format(pm25_to_epa(($meteobridgeapi[184])),1);
$notused='**';
//create the current month file example folder/file path = weather34charts/2021/July.csv
// re compiled for Gary Bridge localized issue March 2023 
$weatherchartfilemonth ="weather34charts/".$year."/".date('F').".csv";
$weather34chartdata  = date('j M',strtotime("yesterday"))."," //date
.$meteobridgeapi[26]."," //max temp 1
.$meteobridgeapi[28]."," //min temp 2
.$meteobridgeapi[63]."," //max dew 3
.$meteobridgeapi[65]."," //min dew 4
.$meteobridgeapi[9].","  //rain day total 5
.$meteobridgeapi[158]."," // max wind speed 6
.$meteobridgeapi[123]."," // avg wind speed 7
.$notused."," // Not Used chart position = 8
.$meteobridgeapi[34]."," // max pressure 9
.$meteobridgeapi[36]."," // min pressure 10
.$meteobridgeapi[58]."," // max uv 11
.$meteobridgeapi[105]."," // max solar 12
.$aqiweather["aqi24h"]."," //Purple Air 24 hour 13
.$meteobridgeapi[184]."," // Davis Airlink 14
.$meteobridgeapi[188]."," // Wind Direction 15
.$meteobridgeapi[59]."," // Max Humidity 16
.$meteobridgeapi[61]."" // Min Humidity 17
."\r\n"; //end


$fp = fopen($weatherchartfilemonth, 'a+'); 
fwrite($fp,$weather34chartdata); 
fclose($fp); //close the output run

//create the year file example folder/file path = weather34charts/2021.csv

$weatherchartfileyear = "weather34charts/".$year.".csv";
$weather34chartdata1  = date('j M',strtotime("yesterday")).","//date
.$meteobridgeapi[26]."," //max temp 1
.$meteobridgeapi[28]."," //min temp 2
.$meteobridgeapi[63]."," //max dew 3
.$meteobridgeapi[65]."," //min dew 4
.$meteobridgeapi[9].","  //rain day total 5
.$meteobridgeapi[158]."," // max wind speed 6
.$meteobridgeapi[123]."," // avg wind speed 7
.$meteobridgeapi[34]."," // not used 8
.$meteobridgeapi[34]."," // max pressure 9
.$meteobridgeapi[36]."," // min pressure 10
.$meteobridgeapi[58]."," // max uv 11
.$meteobridgeapi[105]."," // max solar 12
.$aqiweather["aqi24h"]."," //Purple Air 24 hour 13
.$meteobridgeapi[184]."," // Davis Airlink 14
.$meteobridgeapi[188]."," // Wind Direction 15
.$meteobridgeapi[59]."," // Max Humidity 16
.$meteobridgeapi[61]."" // Min Humidity 17
."\r\n"; //end

$fp1 = fopen($weatherchartfileyear, 'a+'); 
fwrite($fp1,$weather34chartdata1); 
fclose($fp1); //close the output run
?>
